Skip to main content
GET
/
api
/
knowledge
/
categories
List categories of the current tenant
curl --request GET \
  --url https://{tenant}.app.big-panda.ai/api/knowledge/categories \
  --header 'Authorization: Bearer <token>'
[
  {
    "name": "<string>",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "tenant_id": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "description": "<string>",
    "parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "sort_order": 0
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.big-panda.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API-Token aus dem Big-Panda-Admin-UI unter Einstellungen → API-Keys. Header: Authorization: Bearer <token>.

Query Parameters

parent_id
string<uuid> | null

If set, only direct children of this parent are returned

Response

Successful Response

name
string
required
Required string length: 1 - 200
id
string<uuid>
required
tenant_id
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
description
string | null
parent_id
string<uuid> | null

UUID of the parent category, or null for a top-level category

sort_order
integer
default:0
Required range: x >= 0